from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XShapes2(Protocol):
    def addTop(self, xShape: XShape) -> None: ...
    def addBottom(self, xShape: XShape) -> None: ...
